defmodule Charbase.Character do
  use Ecto.Schema
  import Ecto.Changeset

  schema "characters" do
    field :added, :naive_datetime
    field :json, :string
    field :name, :string
    field :user_id, :id

    timestamps()
  end

  @doc false
  def changeset(character, attrs) do
    character
    |> cast(attrs, [:name, :json, :added])
    |> validate_required([:name, :json, :added])
  end
end
