defmodule Charbase.Repo.Migrations.CreateChangelog do
  use Ecto.Migration

  def change do
    create table(:changelog) do
      add :type, :string
      add :text, :text
      add :character_id, references(:character, on_delete: :nothing)

      timestamps()
    end

    create index(:changelog, [:character_id])
  end
end
